* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    outline: none;
}

body {
    background: url(./img/background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.global {
    min-height: 100vh;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;

    background-color: #d1d1d1;
    width: 100%; 
    max-width: 500px; 
    border-radius: 5px;
    padding: 20px;
    margin: 20px auto;
}

.input-task {
    border: none;
    border-radius: 5px;
    width: 100%; 
    height: 40px;
    padding-left: 10px;
    font-size: 18px;
}

.button-add-task {
    border: none;
    border-radius: 5px;
    height: 40px;
    background-color: #D9C2A4;
    color: #fff;
    font-size: 17px;
    padding: 0 15px;
    cursor: pointer;
    font-weight: 700;
    margin-top: 10px;
}

.button-add-task:hover {
    color: #D9C2A4;
    background-color: #fff;
    transition: 0.9s;
}

.list-tasks {
    width: 100%;
    list-style: none;
    margin-top: 30px;
}

.task {
    background-color: #f2f2f2;
    box-shadow: 1px 4px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    height: 50px;
    align-items: center;
    justify-content: space-between;
    padding: 0 15px;
    border-radius: 5px;
    margin-bottom: 20px;
    cursor: pointer;
}

.task:hover img {
    opacity: 1;
}

img {
    height: 25px;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.done {
    background-color: #228B22;
    text-decoration: line-through;
}


@media (max-width: 500px) {
    .global {
        flex-direction: column;
        gap: 20px;
    }

    .container {
        width: 90%;
        padding-top: 5%; 
    }

    .input-task,
    .button-add-task {
        width: 100%; 
        margin-top: 10px; 
    }
}
